# PetscViewer

Abstract PETSc object that helps view (in ASCII, binary, graphically etc) other PETSc objects

### Synopsis

    typedef struct _p_PetscViewer* PetscViewer;

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

Level:beginner
Location: src/sys/viewer/../../../include/petscviewer.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex24.c.html